Bug 170298 - trident/vesa xorg driver badness on VIA EPIA
trident/vesa xorg driver badness on VIA EPIA
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-10 12:19 EDT by Matt Dainty
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-18 17:54:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg configuration file (2.68 KB, text/plain)
2005-10-10 12:21 EDT, Matt Dainty
no flags Details
xorg log with trident driver (38.08 KB, text/plain)
2005-10-10 12:22 EDT, Matt Dainty
no flags Details
xorg log with vesa driver (34.26 KB, text/plain)
2005-10-10 12:22 EDT, Matt Dainty
no flags Details

  None (edit)
Description Matt Dainty 2005-10-10 12:19:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
The hardware as reported by lspci is a "Trident CyberBlade/i1", and it's the onboard VGA on a VIA C3 EPIA system.

I suffered the whitescreen problem on the installer as documented in the numerous duplicates of Bug #161242, however after updating all installed components to latest as of 10/10/2005, I still have problems switching between X and a VT. Just pressing Ctrl+Alt+F1 at the GDM screen immediately wedges it. I can still log in over SSH and cycle between run-levels 3 & 5 and get it back again most times.

Also, upon shutting down, the text mode display is not restored properly and it's all garbled.

Even though it's fixed in the xorg release I'm running, I tried the libvgahw.a test and it makes no difference to the problem.

Current workaround is to switch to using the vesa X driver. I can switch to VT's without inducing a hang, but the text never appears, the screen remains completely black. I can Alt+F7 and get back to X without problem, but shutting down shows the same sort of garbled display as with the trident driver when X exits.

So currently, using the vesa driver is the lesser of the two evils, although it's still far from perfect, and slooow.

Previously this machine was running FC2 with no obvious problems.

I will attached the Xorg.0.log's for both drivers as well as the xorg.conf.

Version-Release number of selected component (if applicable):
xorg-x11-6.8.2-37.FC4.49.2

How reproducible:
Always

Steps to Reproduce:
1. At the GDM login screen, hit Ctrl+Alt+F1 to switch to the first VT
2.
3.
  

Actual Results:  Instant hang

Expected Results:  Switch to first VT should occur

Additional info:

Hardware is an all-in-one VIA C3 EPIA, CPU is i586-class as it lacks CMOV instruction.
Comment 1 Matt Dainty 2005-10-10 12:21:47 EDT
Created attachment 119776 [details]
xorg configuration file

Only difference is which driver is commented/uncommented.
Comment 2 Matt Dainty 2005-10-10 12:22:21 EDT
Created attachment 119777 [details]
xorg log with trident driver
Comment 3 Matt Dainty 2005-10-10 12:22:43 EDT
Created attachment 119778 [details]
xorg log with vesa driver
Comment 4 Mike A. Harris 2006-03-08 06:32:02 EST
If this issue turns out to still be reproduceable in the latest
updates for this Fedora Core release, please file a bug report
in the X.Org bugzilla located at http://bugs.freedesktop.org in
the "xorg" component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.

Setting status to "NEEDINFO_REPORTER", and awaiting upstream
bug report URL for tracking.

Thanks in advance.
Comment 5 Mike A. Harris 2006-05-18 17:54:15 EDT
If this problem is still present in Fedora Core 5, with all available
updates applied, please file a bug report in X.Org bugzilla at
http://bugs.freedesktop.org in the "xorg" component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.